V2 File Metadata
Search Victim File Metadata
Search victim file metadata. This does not return file bytes;
use the victim file-content endpoint for a selected log_id and file_id.
GET
https://oathnet.org/api
/
service
/
v2
/
files
/
search
Search Victim File Metadata
curl --request GET \
--url https://oathnet.org/api/service/v2/files/search \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/v2/files/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/v2/files/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"items": [
{
"log_id": "<string>",
"file_id": "<string>",
"name": "<string>",
"folder": "<string>",
"path": "<string>",
"ext": "<string>",
"kind": "<string>",
"size_bytes": 123
}
],
"meta": {
"count": 123,
"total": 123,
"took_ms": 123,
"has_more": true,
"total_pages": 123,
"max_score": 123,
"filter_id": "0123456789abcdef01234567"
},
"next_cursor": "<string>",
"policy_redacted": true,
"upgrade_required": true,
"redaction_marker": "<string>"
},
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 111.47,
"timestamp": "2026-01-06T00:44:08.191547"
}
}
}{
"success": false,
"message": "Discord user not found.",
"errors": {
"error": "Discord user not found.",
"status_code": 404,
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 508.81,
"timestamp": "2026-01-06T01:07:27.981019"
}
}
}
}Authorizations
API key for authentication (lowercase header name)
Query Parameters
Smart search for file id, log id, kind, extension, path, name, or folder.
Example:
"cookies"
Example:
"txt"
Number of results to return.
Required range:
1 <= x <= 200Cursor token from the previous response's next_cursor.
Search session ID from POST /service/search/init.
⌘I
Search Victim File Metadata
